swagger: "2.0"
info:
  version: "1.2.0"
  title: "SOL002 - API version interface"
  description: >
    SOL002 - API version Interface
    IMPORTANT: Please note that this file might be not aligned to the current
    version of the ETSI Group Specification it refers to and has not been
    approved by the ETSI NFV ISG. In case of discrepancies the published ETSI
    Group Specification takes precedence.
    Please report bugs to https://forge.etsi.org/bugzilla/buglist.cgi?component=Nfv-Openapis
  license:
    name: "ETSI Forge copyright notice"
    url: https://forge.etsi.org/etsi-forge-copyright-notice.txt
  contact:
    name: "NFV-SOL WG"
externalDocs:
  description: ETSI GS NFV-SOL 002 V2.5.1
  url: https://www.etsi.org/deliver/etsi_gs/NFV-SOL/001_099/002/02.05.01_60/gs_nfv-sol002v020501p.pdf
schemes:
  - http
  - https
consumes:
  - application/json
produces:
  - application/json
paths:
  ###############################################################################
  # API Versions                                                                #
  ###############################################################################
  '/vnfconfig/api-versions':
    $ref: '../../endpoints/SOL002SOL003_endpoints.yaml#/endpoints/api-versions'

  '/vnffm/api-versions':
    $ref: '../../endpoints/SOL002SOL003_endpoints.yaml#/endpoints/api-versions'

  '/vnfind/api-versions':
    $ref: '../../endpoints/SOL002SOL003_endpoints.yaml#/endpoints/api-versions'

  '/vnflcm/api-versions':
    $ref: '../../endpoints/SOL002SOL003_endpoints.yaml#/endpoints/api-versions'

  '/vnfpm/api-versions':
    $ref: '../../endpoints/SOL002SOL003_endpoints.yaml#/endpoints/api-versions'